ros-foxy-launch (0.10.10-1focal) focal; urgency=high

  * Fix bug in test_push_and_pop_environment.py
    Sandbox the environment so the tests do not affect other tests.
    This is a partial backport of (#652 <https://github.com/ros2/launch/issues/652>)
  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Fix the restoring of os.environ to maintain its type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Oct 2022 07:00:00 -0000

ros-foxy-launch (0.10.9-1focal) focal; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>) (#630 <https://github.com/ros2/launch/issues/630>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-launch (0.10.8-1focal) focal; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml. (#468 <https://github.com/ros2/launch/issues/468>) (#567 <https://github.com/ros2/launch/issues/567>)
  * Evaluate math symbols and functions in python expression. (#557 <https://github.com/ros2/launch/issues/557>) (#562 <https://github.com/ros2/launch/issues/562>)
  * Contributors: Aditya, Immanuel Martini, mergify[bot]

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Jan 2022 08:00:00 -0000

ros-foxy-launch (0.10.7-1focal) focal; urgency=high

  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>) (#548 <https://github.com/ros2/launch/issues/548>)
  * Handle empty strings in type coercion. (#443 <https://github.com/ros2/launch/issues/443>)
  * Consolidate type_utils in a way that can be reused in substitution results that need to be coerced to a specific type (#438 <https://github.com/ros2/launch/issues/438>)
  * Fix up parser.py (#414 <https://github.com/ros2/launch/issues/414>)
  * Contributors: Dan Rose, David V. Lu!!, Ivan Santiago Paunovic, Jacob Perron, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Nov 2021 08:00:00 -0000

ros-foxy-launch (0.10.6-1focal) focal; urgency=high

  * Handle signals within the asyncio loop (#506 <https://github.com/ros2/launch/issues/506>)
    * Handle signals within the asyncio loop (#476 <https://github.com/ros2/launch/issues/476>)
    * Workaround asyncio signal handling on Unix (#479 <https://github.com/ros2/launch/issues/479>)
    * Remove is_winsock_handle() and instead test if wrapping the handle in a socket.socket() works (#494 <https://github.com/ros2/launch/issues/494>)
    * Close the socket pair used for signal management (#497 <https://github.com/ros2/launch/issues/497>)
    * Only try to wrap the fd in a socket on Windows (#498 <https://github.com/ros2/launch/issues/498>)
  * Contributors: Michael Jeronimo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-launch (0.10.5-1focal) focal; urgency=high

  * Support non-interactive launch.LaunchService runs (#475 <https://github.com/ros2/launch/issues/475>) (#500 <https://github.com/ros2/launch/issues/500>)
  * Add arg_choice arg to DeclareLaunchArguments (#483 <https://github.com/ros2/launch/issues/483>) (#485 <https://github.com/ros2/launch/issues/485>)
  * Add respawn and respawn_delay support (#426 <https://github.com/ros2/launch/issues/426>) (#478 <https://github.com/ros2/launch/issues/478>)
  * Allow configuring logging directory through environment variables (#460 <https://github.com/ros2/launch/issues/460>) (#477 <https://github.com/ros2/launch/issues/477>)
  * Contributors: Christophe Bedard, Felix Divo, Michel Hidalgo, Tom Greier, Victor Lopez, Vitaliy Bondar

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-launch (0.10.4-1focal) focal; urgency=high

  * Fix dollar symbols in substitution grammar (#461 <https://github.com/ros2/launch/issues/461>) (#472 <https://github.com/ros2/launch/issues/472>)
  * Delete unnecessary loading of 'launch.frontend.interpolate_substitution_method' entry point that was never used (#434 <https://github.com/ros2/launch/issues/434>) (#463 <https://github.com/ros2/launch/issues/463>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-launch (0.10.3-1focal) focal; urgency=high

  * Add new conditions for checking launch configuration values (#453 <https://github.com/ros2/launch/issues/453>) (#457 <https://github.com/ros2/launch/issues/457>)
  * Refactor launch service run_async loop to wait on futures and queued events (#449 <https://github.com/ros2/launch/issues/449>) (#455 <https://github.com/ros2/launch/issues/455>)
  * Add pytest.ini so local tests don't display warning (#428 <https://github.com/ros2/launch/issues/428>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-launch (0.10.2-1focal) focal; urgency=high

  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-launch (0.10.1-1focal) focal; urgency=high

  * removed deprecated loop parameter call (#387 <https://github.com/ros2/launch/issues/387>) (#410 <https://github.com/ros2/launch/issues/410>)
  * Contributors: Zahi Kakish

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-launch (0.10.0-1focal) focal; urgency=high

  * remove Python 3.5 specific logic (#401 <https://github.com/ros2/launch/issues/401>)
  * use typing.TYPE_CHECKING to avoid flake8 failure (#398 <https://github.com/ros2/launch/issues/398>)
  * Suppress flake8 A003 warning (#395 <https://github.com/ros2/launch/issues/395>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove unnecessary overloads (#389 <https://github.com/ros2/launch/issues/389>)
  * Simplify type annotation (#388 <https://github.com/ros2/launch/issues/388>)
  * Add support for anon substitution (#384 <https://github.com/ros2/launch/issues/384>)
  * Make RegisterEventHandler describe its sub-entities (#386 <https://github.com/ros2/launch/issues/386>)
  * Fix parsing of cmd line arguments in XML and yaml file (#379 <https://github.com/ros2/launch/issues/379>)
  * Only allow ExecuteProcess actions to execute once (#375 <https://github.com/ros2/launch/issues/375>)
  * Fix grammar in docstring (#373 <https://github.com/ros2/launch/issues/373>)
  * Release loop lock before waiting for it to do work (#369 <https://github.com/ros2/launch/issues/369>)
  * Adds Command substitution (#367 <https://github.com/ros2/launch/issues/367>)
  * Handle case where output buffer is closed during shutdown (#365 <https://github.com/ros2/launch/issues/365>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Jorge Perez, Peter Baughman, Shane Loretz, Steven! Ragnarök, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-launch (0.9.5-1focal) focal; urgency=high

  * fix PendingDeprecationWarning about asyncio.Task.current_task (#355 <https://github.com/ros2/launch/issues/355>)
  * import collections.abc (#354 <https://github.com/ros2/launch/issues/354>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-foxy-launch (0.9.4-1focal) focal; urgency=high

  * Fix ExecuteProcess.get_sub_entities() implementation. (#353 <https://github.com/ros2/launch/issues/353>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-launch (0.9.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch (0.9.1-1focal) focal; urgency=high

  * Fix error in ExecuteProcess parse classmethod (#339 <https://github.com/ros2/launch/issues/339>)
  * Add support to ignore fields when parsing ExecuteProcess. (#336 <https://github.com/ros2/launch/issues/336>)
  * Make parse_substitution handle zero-width text. (#335 <https://github.com/ros2/launch/issues/335>)
  * Fix InvalidLaunchFileError error message. (#333 <https://github.com/ros2/launch/issues/333>)
  * Fix default Action describe_conditional_sub_entities() implementation. (#334 <https://github.com/ros2/launch/issues/334>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-foxy-launch (0.9.0-1focal) focal; urgency=high

  * Fix "'GroupAction' object has no attribute 'actions'" error (#327 <https://github.com/ros2/launch/issues/327>)
  * install package marker and manifest (#323 <https://github.com/ros2/launch/issues/323>)
  * Make IncludeLaunchDescription force launch_arguments (#284 <https://github.com/ros2/launch/issues/284>)
  * fix expectation for test on Windows (#319 <https://github.com/ros2/launch/issues/319>)
  * Improve error message when a failing to include launch file (#315 <https://github.com/ros2/launch/issues/315>)
  * Fix launch argument listing/checking issues (#310 <https://github.com/ros2/launch/issues/310>)
  * Support LaunchService injection into pre-shutdown tests. (#308 <https://github.com/ros2/launch/issues/308>)
  * Fix test_expose_decorators failures (#307 <https://github.com/ros2/launch/issues/307>)
  * Add assertWaitForStartup method to match assertWaitForShutdown (#278 <https://github.com/ros2/launch/issues/278>)
  * Add support for conditions in IncludeLaunchDescription actions (#304 <https://github.com/ros2/launch/issues/304>)
  * Convert list comprehension to generator (#300 <https://github.com/ros2/launch/issues/300>)
  * Don't create a log directory every time the launch logger is imported. (#299 <https://github.com/ros2/launch/issues/299>)
  * Avoid registering atexit on windows (#297 <https://github.com/ros2/launch/issues/297>)
  * Correct launch service sigterm handling (#294 <https://github.com/ros2/launch/issues/294>)
  * fix encoding handling when writing to stdout and log files (#280 <https://github.com/ros2/launch/issues/280>)
  * More idiomatic typecheck-only imports (#285 <https://github.com/ros2/launch/issues/285>)
  * Add deprecated argument to LaunchDescriptionn (#291 <https://github.com/ros2/launch/issues/291>)
  * Add support for not optional environment variable substitution (#288 <https://github.com/ros2/launch/issues/288>)
  * Add parsing method to PythonExpression substitution (#281 <https://github.com/ros2/launch/issues/281>)
  * Revert "Revert "[execute_process] emulate_tty configurable and defaults to true"" (#277 <https://github.com/ros2/launch/issues/277>)
  * Refactor launch.frontend file loading (#271 <https://github.com/ros2/launch/issues/271>)
  * Revert "[execute_process] emulate_tty configurable and defaults to true (#265 <https://github.com/ros2/launch/issues/265>)" (#276 <https://github.com/ros2/launch/issues/276>)
  * fix linter warnings (#274 <https://github.com/ros2/launch/issues/274>)
  * [execute_process] emulate_tty configurable and defaults to true (#265 <https://github.com/ros2/launch/issues/265>)
  * Add parsing method for dirname substitution (#273 <https://github.com/ros2/launch/issues/273>)
  * Add parsing methods for SetEnviromentVariable and UnsetEnviromentVariable (#272 <https://github.com/ros2/launch/issues/272>)
  * Add parsing method for DeclareLaunchArgument (#270 <https://github.com/ros2/launch/issues/270>)
  * Add frontend module in launch, launch_xml and launch_yaml packages (#226 <https://github.com/ros2/launch/issues/226>)
  * Add PathJoinSubstitution (#266 <https://github.com/ros2/launch/issues/266>)
  * Fix EventHandler type hints (#264 <https://github.com/ros2/launch/issues/264>)
  * Fix build_cop #214 <https://github.com/ros2/launch/issues/214> (#259 <https://github.com/ros2/launch/issues/259>)
  * Fix get_launch_arguments to not crash on conditional sub entities (#257 <https://github.com/ros2/launch/issues/257>)
  * Use stderr logger instead of buffer (#258 <https://github.com/ros2/launch/issues/258>)
  * Line buffering of logger output (#255 <https://github.com/ros2/launch/issues/255>)
  * Contributors: Chris Lalancette, Dan Rose, Daniel Stonier, Dirk Thomas, Jacob Perron, Michel Hidalgo, Peter Baughman, Scott K Logan, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-foxy-launch (0.8.3-1focal) focal; urgency=high

  * Changed IncludeLaunchDescription to not check declared arguments of subentities in order to work around an issue preventing nested arugments until a better fix can be done. (#249 <https://github.com/ros2/launch/issues/249>)
  * Fixed a bug where logging messages could be duplicated and improved logging's apperance on the CLI. (#250 <https://github.com/ros2/launch/issues/250>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-launch (0.8.2-1focal) focal; urgency=high

  * Moved some common code to LaunchDescriptionSource (#234 <https://github.com/ros2/launch/issues/234>)
  * Please flake8 on launch package. (#241 <https://github.com/ros2/launch/issues/241>)
  * Allow substitution in variable_name of LaunchConfiguration substitutions (#235 <https://github.com/ros2/launch/issues/235>)
  * Add support for custom launch log file handling (#233 <https://github.com/ros2/launch/issues/233>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-launch (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-launch (0.8.0-1focal) focal; urgency=high

  * Added SetEnvironmentVariable and UnsetEnvironmentVariable actions #164 <https://github.com/ros2/launch/issues/164> (#216 <https://github.com/ros2/launch/issues/216>)
  * Used one sentence per line in docs. (#219 <https://github.com/ros2/launch/issues/219>)
  * Added support for external ExecuteProcess output overrides. (#218 <https://github.com/ros2/launch/issues/218>)
  * Logged the launch logging config before running. (#217 <https://github.com/ros2/launch/issues/217>)
  * Fixed treating stderr output separate from stdout. (#212 <https://github.com/ros2/launch/issues/212>)
  * Replaced characters with marker when there is a decoding error. (#202 <https://github.com/ros2/launch/issues/202>)
  * Added LaunchLogger class. (#145 <https://github.com/ros2/launch/issues/145>)
  * Added test actions. (#178 <https://github.com/ros2/launch/issues/178>)
  * Fixed to close subprocess transport on execute action cleanup. (#198 <https://github.com/ros2/launch/issues/198>)
  * Updated logger.warn (deprecated) to logger.warning. (#199 <https://github.com/ros2/launch/issues/199>)
  * Dropped legacy launch package. (#191 <https://github.com/ros2/launch/issues/191>)
  * Migrated legacy launch API tests. (#167 <https://github.com/ros2/launch/issues/167>)
  * Updated to cancel Timers on shutdown. (#181 <https://github.com/ros2/launch/issues/181>)
  * Fixed timer global init of event handler. (#184 <https://github.com/ros2/launch/issues/184>)
  * Added support for required nodes (#179 <https://github.com/ros2/launch/issues/179>)
  * Updated to ensure event handlers add event to context locals. (#177 <https://github.com/ros2/launch/issues/177>)
  * Added OnProcessStart event handler. (#171 <https://github.com/ros2/launch/issues/171>)
  * Corrected OnProcessExit typing for Callable. (#170 <https://github.com/ros2/launch/issues/170>)
  * Removed whitespace in keyword arg. (#169 <https://github.com/ros2/launch/issues/169>)
  * Contributors: Dirk Thomas, Jacob Perron, Kyle Fazzari, Michel Hidalgo, Peter Baughman, Shane Loretz, William Woodall, ivanpauno, oswinso

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 07:00:00 -0000

ros-foxy-launch (0.7.3-1focal) focal; urgency=high

  * Fixed deprecation warning related to collections.abc (#158 <https://github.com/ros2/launch/pull/158>)
  * Contributors: William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-foxy-launch (0.7.2-1focal) focal; urgency=high

  * Changed the signit handler os it executes the shutdown event synchronously (#156 <https://github.com/ros2/launch/issues/156>)
  * Contributors: Jonathan Chapple, Steven! Ragnarök, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-foxy-launch (0.7.1-1focal) focal; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-foxy-launch (0.7.0-1focal) focal; urgency=high

  * Fixed a bug to ensure that shutdown event is handled correctly (#154 <https://github.com/ros2/launch/issues/154>)
    * There was a potential race condition in between when the shutdown event is emitted and the rest of the shutdown handling code.
    * This introduces an additional await to ensure that the event is emitted before proceeding.
  * Fixed example to always use shell to avoid inconsistency of time being a shell command or executable (#150 <https://github.com/ros2/launch/issues/150>)
  * Added tests for class_tools module and fix is_a_subclass() (#142 <https://github.com/ros2/launch/issues/142>)
  * Added tests for the utilities module (#143 <https://github.com/ros2/launch/issues/143>)
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added UnregisterEventHandler action (#110 <https://github.com/ros2/launch/issues/110>)
  * Changed LaunchService so that it returns ``1`` on caught exceptions from within launch (#136 <https://github.com/ros2/launch/issues/136>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * Added self descriptions for substitutions
    * Added tracebacks back to the output by default
    * Added new actions for declaring launch arguments
    * Added new method on LaunchDescription which gets all declared arguments within
    * Added ability to pass arguments when including a launch description
    * Added description for local variables used in Node action
    * Added ability to show and pass launch arguments on the command line
    * Added an accessor for the Condition of an Action
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added UnsetLaunchConfiguration action and tests (#134 <https://github.com/ros2/launch/issues/134>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added GroupAction for conditionally including other actions and scoping (#133 <https://github.com/ros2/launch/issues/133>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added optional name argument to ExecuteProcess (#129 <https://github.com/ros2/launch/issues/129>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added a new pair of actions for pushing and popping launch configurations (#128 <https://github.com/ros2/launch/issues/128>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Dirk Thomas, Jacob Perron, Michael Carroll, William Woodall, dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-foxy-launch (0.6.0-1focal) focal; urgency=high

  * Added a way to include other Python launch files (#122 <https://github.com/ros2/launch/issues/122>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Implemented the concept of Action conditions (#121 <https://github.com/ros2/launch/issues/121>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added IncludeLaunchDescription action (#120 <https://github.com/ros2/launch/issues/120>)
    * fixes #115 <https://github.com/ros2/launch/issues/115>
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-foxy-launch (0.5.2-1focal) focal; urgency=high

  * Made a change to avoid reentrancy of signal handlers (#99 <https://github.com/ros2/launch/issues/99>)
  * Ignored warning for builtins A003 (#100 <https://github.com/ros2/launch/issues/100>)
  * Fixed exception when launch process with environment variables (#96 <https://github.com/ros2/launch/issues/96>)
  * Contributors: Shane Loretz, William Woodall, dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-foxy-launch (0.5.1-1focal) focal; urgency=high

  * Changed the behavior when signaling SIGINT to subprocesses on Windows, where it now does SIGTERM instead, because SIGINT causes a ValueError about SIGINT being an unsupported signal number. (#94 <https://github.com/ros2/launch/issues/94>)
  * Fixed a bug by avoiding reentrancy in the SIGINT signal handler. (#92 <https://github.com/ros2/launch/issues/92>)
  * Various Windows fixes. (#87 <https://github.com/ros2/launch/issues/87>)
    * LaunchService.run() now returns non-0 when there are exceptions in coroutines.
    * Updated ``launch_counters.py`` example for Windows.
    * Fixed a bug that would cause mismatched asyncio loops in some futures.
    * Addressed the fact that ``signal.SIGKILL`` doesn’t exist on Windows, so emulate it in our Event.
    * Fixed an issue that resulted in spurious asyncio errors in LaunchService test.
  * Contributors: William Woodall, dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-foxy-launch (0.5.0-1focal) focal; urgency=high

  * Fixed a bug where unclosed asyncio loops caused a traceback on the terminal on exit, but only in Python 3.5 (#85 <https://github.com/ros2/launch/issues/85>)
  * Changed to use variable typing in comments to support python 3.5 (#81 <https://github.com/ros2/launch/issues/81>)
  * New launch API (#74 <https://github.com/ros2/launch/issues/74>)
    * See pull request for more details and links to architecture documentation and the design doc.
  * Moved launch source files into launch.legacy namespace (#73 <https://github.com/ros2/launch/issues/73>)
    * This was in preparation for the new launch API.
  * [for launch.legacy] fixed a flake8 warning (#72 <https://github.com/ros2/launch/issues/72>)
  * [for launch.legacy] set zip_safe to avoid warning during installation (#71 <https://github.com/ros2/launch/issues/71>)
  * [for launch.legacy] Fix hang on keyboard interrupt (#69 <https://github.com/ros2/launch/issues/69>)
    * When keyboard interrupt exception occurs loop.run_forever is called. But there is no loop.stop call. This causes a hang.
  * Contributors: Devin, Dirk Thomas, William Woodall, dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Jun 2018 07:00:00 -0000


